org.python.core

## Class PyIndentationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.python.core.PyException
        - - org.python.core.PyIndentationError

All Implemented Interfaces:
  Serializable, Traverseproc

    public class PyIndentationError
    extends PyException

A convenience class for creating Indentation errors. Note that the syntax error is still taken from Py.IndentationError.

Generally subclassing from PyException is not the right way of creating new exception classes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.python.core.PyException

`traceback, type, value`

### Constructor Summary

Constructors
Constructor and Description
`PyIndentationError(String s, int line, int column, String text, String filename)`

### Method Summary

### Methods inherited from class org.python.core.PyException

`doRaise, exceptionClassName, fillInStackTrace, isExceptionClass, isExceptionInstance, match, normalize, printStackTrace, printStackTrace, refersDirectlyTo, super__printStackTrace, toString, tracebackHere, tracebackHere, traverse`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PyIndentationError

    public PyIndentationError(String s,
                      int line,
                      int column,
                      String text,
                      String filename)